@import "~bootstrap/scss/functions";

@function abs($val) {
    @if $val < 0 {
        @return -$val;
    }

    @return $val;
}

@function subtract-color($color1, $color2) {
    $r: abs(red($color1) - red($color2));
    $g: abs(green($color1) - green($color2));
    $b: abs(blue($color1) - blue($color2));

    @return rgb($r, $g, $b);
}

$primary: #0c12bb;
//$secondary: #04a777;

$light: #fcfafb;
$gray: #f3f3f3;
$dark: #272d2d;
$danger: #cc0c0c;
$success: #198754;

$theme-colors: (
    "primary": $primary,
    "light": $light,
    "gray": $gray,
    "dark": $dark,
    "danger": $danger,
    "success": $success,
);

$template-column-colors: (
    "red": #bd0f32,
    "blue": #22a8bd,
    "purple": #7126bd,
    "teal": #109e7d,
    "green": #16912f,
);

$colors: ();

$body-bg: $light;

$border-color: $gray;
$dropdown-border-color: $gray;

$border-radius: 0.55rem;
$border-radius-sm: 0.33rem;
$border-radius-lg: 0.77rem;

$navbar-light-color: $dark;
$navbar-light-hover-color: $primary;

$font-family-sans-serif: "Open Sans", "Roboto", sans-serif;

$navbar-padding-y: 0;

@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "~bootstrap/scss/utilities";